bea909cab25eb4b528961e6df5c48146fda7722f
max
  Tue Oct 12 06:10:45 2021 -0700
hacking around letsencrypt issue in LOVD otto job temporarily, until Galt or the admins do something to fix this long-term, no redmine, email with Lou

diff --git src/hg/utils/otto/lovd/download.sh src/hg/utils/otto/lovd/download.sh
index 3cf401a..f39fa39 100755
--- src/hg/utils/otto/lovd/download.sh
+++ src/hg/utils/otto/lovd/download.sh
@@ -10,20 +10,25 @@
 #	this is where we are going to work
 if [ ! -d "${WORKDIR}" ]; then
     echo "ERROR in lovd release, Can not find the directory: ${WORKDIR}" 
     exit 255
 fi
 
 cd "${WORKDIR}"
 
 today=`date +%F`
 mkdir -p $today
 cd $today
 
 # http request needs to come from hgwdev IP address otherwise file not found error
 for db in hg38 hg19
 do
-    wget -q 'http://varcache.lovd.nl/bed/'${db}'?add_id_ncbi=1&add_annotation=1' -O - | \
+    ~max/miniconda3/bin/curl -sk 'https://varcache.lovd.nl/bed/'${db}'?add_id_ncbi=1&add_annotation=1' | \
         grep -v track | grep -v ^$ | sed -e s/^/chr/g | \
         tawk '{gsub(";",FS,$6); gsub("effect:|lovd_count:","",$6); print }' | \
         sort -k1,1 -k2,2n > lovd.${db}.bed
+        lcount=`wc -l lovd.${db}.bed |  cut -d' ' -f1 `
+        if [ $lcount -lt "10000" ] ; then
+                echo LOVD file lovd.${db}.bed is too small
+                exit 1
+        fi
 done